## cascading.tuple.hadoop.io
Class HadoopTupleInputStream

    java.lang.Object
      java.io.InputStream
          java.io.FilterInputStream
              java.io.DataInputStream
                  cascading.tuple.io.TupleInputStream
                      cascading.tuple.hadoop.io.HadoopTupleInputStream

All Implemented Interfaces:
  Closeable, DataInput

    public class HadoopTupleInputStream

extends TupleInputStream

Nested Class Summary

Nested classes/interfaces inherited from class cascading.tuple.io.TupleInputStream
`TupleInputStream.ElementReader`

Field Summary

Fields inherited from class cascading.tuple.io.TupleInputStream
`elementReader, inputStream`

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`HadoopTupleInputStream(InputStream inputStream, TupleInputStream.ElementReader elementReader)`

Method Summary
`Object` `getNextElement()`
`int` `getNumElements()`
`IndexTuple` `readIndexTuple(IndexTuple indexTuple)`
`String` `readString()`
`int` `readToken()`
`protected Object` `readType(int type)`
`int` `readVInt()`
`long` `readVLong()`

Methods inherited from class cascading.tuple.io.TupleInputStream
`close, getComparatorFor, getInputStream, readIndexTuple, readTuple, readTuple, readTuplePair, readTuplePair`

Methods inherited from class java.io.DataInputStream
`read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopTupleInputStream

    public HadoopTupleInputStream(InputStream inputStream,
                                  TupleInputStream.ElementReader elementReader)

Method Detail

### getNumElements

    public int getNumElements()
                       throws IOException

  Specified by:
    `getNumElements` in class `TupleInputStream`
  Throws:
    `IOException`

### readToken

    public int readToken()
                  throws IOException

  Specified by:
    `readToken` in class `TupleInputStream`
  Throws:
    `IOException`

### getNextElement

    public Object getNextElement()
                          throws IOException

  Specified by:
    `getNextElement` in class `TupleInputStream`
  Throws:
    `IOException`

### readIndexTuple

    public IndexTuple readIndexTuple(IndexTuple indexTuple)
                              throws IOException

  Specified by:
    `readIndexTuple` in class `TupleInputStream`
  Throws:
    `IOException`

### readVLong

    public long readVLong()
                   throws IOException

  Throws:
    `IOException`

### readVInt

    public int readVInt()
                 throws IOException

  Throws:
    `IOException`

### readString

    public String readString()
                      throws IOException

  Throws:
    `IOException`

### readType

    protected final Object readType(int type)
                             throws IOException

  Specified by:
    `readType` in class `TupleInputStream`
  Throws:
    `IOException`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.